Đến nội dung


ketxu

Đăng ký: 17 Nov 2008
Offline Đăng nhập: Hôm nay, 04:35 PM
****-

#416707 Nhờ Ace Sửa Giùm Lisp Này Với!

Posted by ketxu trong 20 May 2017 - 09:18 AM

Bạn đang nhận được nhiều dấu - cho bài viết này. Bạn đã bao giờ mở file lsp này lên chưa ??


  • 1


#416571 Vẽ Đường Pl Có Điểm Nút Là Đường Tròn Có Bán Kính Được Định Trước

Posted by ketxu trong 16 May 2017 - 03:50 PM

GD này k ở chế độ pub :) Bee sửa lại nhé. Để ket down về và sửa lại tư duy logic của mình :D


  • 1


#416551 Vẽ Đường Pl Có Điểm Nút Là Đường Tròn Có Bán Kính Được Định Trước

Posted by ketxu trong 16 May 2017 - 11:02 AM

Theo mình biết linetype k quy định được là shape chỉ hiển thị ở vertex :) (bài trên)


  • 1


#416549 Vẽ Đường Pl Có Điểm Nút Là Đường Tròn Có Bán Kính Được Định Trước

Posted by ketxu trong 16 May 2017 - 10:46 AM

Quick code, số 2 vẫn là số e phải sửa. 
A để những đối tượng này vào một group, nếu muốn liền hoặc rời thì sử dụng tổ hợp phím Ctrl + Shift + A để bật/ tắt chế độ Group

(defun c:p1(/ e e1 s)
	(setq e (entlast) s (ssadd))
	(command ".pline") (while (/= (getvar 'cmdactive) 0) (command pause))
	(and
		(setq e1 (entlast))
		(not (equal e e1))
		(mapcar '(lambda(x)(entmake (list (cons 0 "CIRCLE")(cons 40 2)(cons 10 (cdr x))))) (vl-remove-if-not '(lambda(a)(= (car a) 10)) (entget e1)))
	)
(while (setq e (entnext e))
	(ssadd e s)
)
(command "-group" "_Create" "*" "" s "")
)

  • 1


#416526 Vẽ Đường Pl Có Điểm Nút Là Đường Tròn Có Bán Kính Được Định Trước

Posted by ketxu trong 15 May 2017 - 04:30 PM

Rất tiếc, yêu cầu đó lisp k làm được, linetype định nghĩa bằng file LIN không làm được, chỉ có thể tạo ra bằng các ngôn ngữ tạo được custom object


  • 1


#416521 Vẽ Đường Pl Có Điểm Nút Là Đường Tròn Có Bán Kính Được Định Trước

Posted by ketxu trong 15 May 2017 - 04:09 PM

(defun c:p1(/ e e1)
	(setq e (entlast))
	(command ".pline") (while (/= (getvar 'cmdactive) 0) (command pause))
	(and
		(setq e1 (entlast))
		(not (equal e e1))
		(mapcar '(lambda(x)(entmake (list (cons 0 "CIRCLE")(cons 40 2)(cons 10 (cdr x))))) (vl-remove-if-not '(lambda(a)(= (car a) 10)) (entget e1)))
	)
) 

Quick code. Số 2 đằng sau số 40 là cái bạn cần chỉnh


  • 1


#416041 [Yêu Cầu] Lisp Chuyển Dim Từ Dim Model Sang Dim Layout

Posted by ketxu trong 26 April 2017 - 04:07 PM

không biết về lisp nhưng mình đưa ra ý tưởng là khi tác giả chuyển Model-Layout hoặc ngược lại thì chạy cái Lisp này thì ngon. Đỡ phải bấm lệnh

Reactor/ Event làm đơn giản cực ^^
  • 2


#414325 Thắc Mắc Về Layer

Posted by ketxu trong 16 March 2017 - 04:20 PM

- Tất cả các nét vẽ trong Block để Layer 0.
- Layer Block để layer mong muốn
  • 1


#413388 Lisp Tự Động Đo Và Ghi Kích Thước Nhiều Đối Tượng

Posted by ketxu trong 25 February 2017 - 04:12 PM

Ý bạn là gì :) 2 ý tưởng này thực hiện nó không khó tí nào :)
Ý tưởng 1 mình có viết đo hàng loạt đoạn thẳng rồi, bạn lấy chỉnh sửa khoảng cách thôi.
http://www.cadviet.c...e-ko-tinh-tong/
Ý tưởng 2 thì lấy 2 đầu defpoint rồi entmake Line :)
  • 1


#413291 Nhờ Viết Lisp Tạo Block Attribute Từ Text

Posted by ketxu trong 23 February 2017 - 11:07 AM

Thay đổi biến ATTDIA mà không trả lại cho người ta kìa bác ^^
  • 1


#411526 Scale Đối Tượng

Posted by ketxu trong 09 December 2016 - 10:41 AM

CAD không chấp nhận nhập phân số mà tử và mẫu ở dạng số thực bác Hạ ơi ^^
Còn chủ OP nói lúc được lúc không khi nhập phân số dạng số nguyên / số nguyên là hoàn toàn chưa có kiểm chứng, ket chưa thấy bao giờ không được
  • 1


#410849 [Nhờ Viết Lisp] Dim Nhanh Giữa Các Line (Hoặc Pl)

Posted by ketxu trong 23 November 2016 - 09:04 AM

Câu hỏi của bạn hoặc là mâu thuẫn hoặc thiếu số liệu. Bạn nhìn hình của bạn xem có bao nhiêu đáp án ?
  • 1


#410674 Vẽ đường hàn

Posted by ketxu trong 17 November 2016 - 03:39 PM

Bạn nghiên cứu lệnh MKLTYPE thuộc bộ Express nhé
  • 1


#410665 Vẽ đường hàn

Posted by ketxu trong 17 November 2016 - 11:46 AM

Bên model không phải là đường đơn bình thường, mà là nó là đường có nét hàn, tuy nhiên tỉ lệ linetype scale quá bé để bạn nhận ra. Bạn chọn vào nó, ấn Ctrl 1, chỉnh phần Linetype Scale to lên bạn sẽ hiểu. Từ bài rep đến giờ mình chưa nói 1 tí nào đến từ DIM
  • 1


#409938 Lisp Tạo Text

Posted by ketxu trong 01 November 2016 - 04:12 PM

Bản thân ket suy nghĩ mãi chưa ra lý do để sử dụng lisp này, mặc dù bác quocmanh đã rất kỳ công cho nó. Làm hẳn 1 tool pallette cho nó có phải nhàn hơn không :D


  • 1